# st7789py Driver

This is a fork of devbis’ st7789py_mpy module from https://github.com/devbis/st7789py_mpy.

This driver has support for:

- 320x240, 240x240, 135x240, and 128x128 pixel displays

- RGB and BGR Color Orders

- Display rotation

- Hardware based scrolling

- Drawing text using converted PC BIOS bitmap fonts

- Drawing text using converted TrueType fonts.

- Drawing converted bitmaps

This is a work in progress. Documentation can be found in the docs directory and at https://russhughes.github.io/st7789py_mpy.

Contents:

- st7789py Driver
- st7789py Reference
  - `color565()`
  - `ST7789`
    - `ST7789.init()`
    - `ST7789.hard_reset()`
    - `ST7789.soft_reset()`
    - `ST7789.sleep_mode()`
    - `ST7789.inversion_mode()`
    - `ST7789.rotation()`
    - `ST7789.vline()`
    - `ST7789.hline()`
    - `ST7789.pixel()`
    - `ST7789.blit_buffer()`
    - `ST7789.rect()`
    - `ST7789.fill_rect()`
    - `ST7789.fill()`
    - `ST7789.line()`
    - `ST7789.vscrdef()`
    - `ST7789.vscsad()`
    - `ST7789.text()`
    - `ST7789.bitmap()`
    - `ST7789.pbitmap()`
    - `ST7789.write()`
    - `ST7789.write_width()`
    - `ST7789.polygon()`
- Example Programs
  - Configuration modules
    - M5STACK AtomS3 128x128 (GC9107)
    - Generic ESP32 320x240
    - M5STACK CORE 320x240 (ILI9342)
    - M5STACK CORE2 320x240 (ILI9342)
    - M5STACK CoreS3 320x240 (ILI9342)
    - RP2040-Touch-LCD-1.28 240x240 (GC9A01)
    - LilyGo T-Dongle-S3 80x160 (ST7735)
    - LilyGo T-embed 170x320
    - LilyGo T-QT Pro 128x128 (GC9107)
    - LilyGo T-DISPLAY 135x240
    - LilyGo T-DISPLAY RP2040 135x240
    - Waveshare Pico LCD 1.14 135x240
    - Waveshare Pico LCD 1.3 240x240
    - Waveshare Pico LCD 2 240x320
  - Examples
    - alien.py
    - boxlines.py
    - chango.py
    - color_test.py
    - colorbars.py
    - feathers.py
    - fonts.py
    - hello.py
    - noto_fonts.py
    - proverbs.py
    - roids.py
    - rotations.py
    - scroll.py
    - tiny_hello.py
    - tiny_toasters.py
- Fonts
  - Bitmap Fonts
    - Bitmap Font Conversion
    - Bitmap Font Samples
  - True Type fonts
    - True-Type Font Conversion
- Utilities
  - create_png_examples.py
    - Example
    - Usage
  - image_converter.py
    - Example
    - Usage
  - make_colorbars_bitmap.py
    - Example
    - Usage
  - sprites_converter.py
    - Example
    - Usage
  - text_font_converter.py
    - Example
    - Usage
  - write_font_converter.py
    - Example
    - Usage
- Index